%define name hlmaps
%define version 1.1
%define release 1mdk
%define summary Perl/CGI script displaying all maps of a Half-Life server

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		System/Servers
Source:		http://download.sourceforge.net/hlmaps/%{name}-%{version}.tar.bz2
URL:		http://hlmaps.sourceforge.net
Requires:	webserver hlmaps_images
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
HLmaps is a Perl/CGI script for Half-Life game servers running
on Linux, FreeBSD, and WinNT. It allows web site visitors to 
view all your loaded maps, screen shots, download links and some 
file statistics in a nice, sortable table.

%prep
%setup -n %{name}-release

%build

%install
install -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}
install -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
install -d -m 0755 ${RPM_BUILD_ROOT}%{_localstatedir}/%{name}
install -d -m 0755 ${RPM_BUILD_ROOT}/var/www/cgi-bin
install -m 0644 hlmaps.conf.distrib ${RPM_BUILD_ROOT}%{_sysconfdir}/hlmaps.conf
install -m 0755 hlmaps.cron ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/hlmaps.cron
install -m 0755 hlmaps.pl ${RPM_BUILD_ROOT}/var/www/cgi-bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGELOG CONTRIBUTING CONTRIBUTORS INSTALL INSTALL.MySQL LICENSE README  TODO
%config(noreplace) %{_sysconfdir}/hlmaps.conf
%{_sysconfdir}/cron.daily/hlmaps.cron
/var/www/cgi-bin/hlmaps.pl

%changelog
* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- corrected requires to hlmaps_images

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- changed specfile, not original archive

* Tue Dec 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	         - first Mandrake package

